#include <iostream>

using namespace std;

int main()
{
    int N=0, k=0, s = 0;
    cin >> N >> k;
    int arr[N];
    for(int i = 0; i < N; i++){
        cin >> arr[i];
    }

    if( k == 0 ){
        for(int i = 0; i < N; i++){
            s =  s + arr[i];
        }
    } else {
        for( int i = 0; i < k; i++ ){
            for( int j = 0; j < N; j++){
                for (int l = j; l < N; l++){
                    for(int m = j; m < l+1; m++){
                        s = s + arr[m];
                    }
                }
            }

        }

    }

    cout << s ;

    return 0;
}